<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, '/js/switchery.min.js');
    loadCSS('/css/switchery.min.css');
    loadJS(requireJS, "js/views/balance-create.js");
</script>

<div class="card">

    <div class="card-block">

        <form method="post" id="request-form">
            <div class="form-group row">
                <label class="col-md-4 col-form-label" for="amount" th:text="#{amount} + ' (€)'">Monto (€)</label>
                <input type="text" class="form-control-sm" id='amount' name="amount"/> 
            </div>
            <div class="form-group row">
                <label class="col-md-4 col-form-label" for="description"><small th:text="#{visibleToUser}">Descripción (Visible para el usuario)</small></label>
                <input type="text" class="form-control-sm" id='description' name="description"/> 
            </div>
            <div class="form-group row">
                <label class="col-md-4 col-form-label" for="comment"><small th:text="#{notVisibleToUser}">Comentario (No visible para el usuario)</small></label>
                <textarea class="form-control-sm" id='comment' name="comment"/> 
            </div>
            <div class="form-group row">
                <label class="col-md-4 col-form-label" for="member" th:text="#{member}">Afiliado</label>
                <input type="text" class="form-control-sm" id="member" name="member" placeholder="Ingrese id o username" th:attr="placeholder=#{inputUserOrId}"/>
                <i class="fa fa-spinner fa-pulse" id="memberNameIcon" style="display: none;"></i>
                <span class="text-muted red" id="memberName"></span>
            </div>
            <div class="form-group row">
                <label class="col-md-4 col-form-label" th:text="#{bonus.type}">Tipo</label>
                <select name="type" class="form-control-sm">
                    <option value="-1" disabled="disabled" selected="selected"><span th:text="#{optSelect}"></span></option>
                    <option value="append"><span th:text="#{positive}">Positivo</option>
                    <option value="discount" th:text="#{negative}">Negativo</option>
                </select>
            </div>
            <div class="form-group row">
                <label class="col-md-4 col-form-label" for="effective" th:text="#{effective}">Efectivo</label>
                <input type="checkbox" class="js-switcha" id="effective" name="effective"/> 
            </div>
            <br/>
        </form>
    </div>

    <div id="alert_placeholder"></div>

    <hr/>
    <button class="btn btn-danger" data-dismiss="modal" th:text="#{btnCancel}">Cancelar</button>
    <button class="btn btn-success pull-right" id="save" th:text="#{btnSave}">Guardar</button>
</div>

